apiVersion: apps/v1
kind: Deployment
metadata:
  name: cheddar
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cheddar
  template:
    metadata:
      labels:
        app: cheddar
    spec:
      containers:
      - image: errm/cheese:cheddar
        name: cheese
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: stilton
spec:
  replicas: 1
  selector:
    matchLabels:
      app: stilton
  template:
    metadata:
      labels:
        app: stilton
    spec:
      containers:
      - image: errm/cheese:stilton
        name: cheese
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: wensleydale
spec:
  replicas: 1
  selector:
    matchLabels:
      app: wensleydale
  template:
    metadata:
      labels:
        app: wensleydale
    spec:
      containers:
      - image: errm/cheese:wensleydale
        name: cheese
---
apiVersion: v1
kind: Service
metadata:
  name: cheddar
spec:
  type: ClusterIP
  ports:
  - port: 80
  selector:
    app: cheddar
---
apiVersion: v1
kind: Service
metadata:
  name: stilton
spec:
  type: ClusterIP
  ports:
  - port: 80
  selector:
    app: stilton
---
apiVersion: v1
kind: Service
metadata:
  name: wensleydale
spec:
  type: ClusterIP
  ports:
  - port: 80
  selector:
    app: wensleydale
